package com.zd.airbottle.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 用气申请对象 qp_usegas_apply
 *
 * @author zd
 * @date 2022-05-12
 */
@ApiModel("用气申请导出Excel")
public class QpUsegasApplyExcelVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 申请人 */
    @Excel(name = "姓名")
    @Length(message = "申请人长度不能超过200")
    @ApiModelProperty(value = "申请人")
    private String applyUser;

    /** 联系方式 */
    @Excel(name = "联系方式")
    @Length(message = "联系方式长度不能超过11")
    @ApiModelProperty(value = "联系方式")
    private String phone;

    /** 实验地点 */
    @Excel(name = "实验地点")
    @Length(message = "实验地点长度不能超过50")
    @ApiModelProperty(value = "实验地点")
    private String location;

    /** 气体名称 */
    @Excel(name = "使用气体")
    @Length(message = "气体名称长度不能超过50")
    @ApiModelProperty(value = "气体名称")
    private String useGasName;

    @Excel(name = "使用期限")
    @ApiModelProperty(value = "使用期限")
    private String usageTime;


    /** 期限开始 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "期限开始")
    private Date startTime;
    /** 期限结束 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "期限结束")
    private Date endTime;

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getApplyUser() {
        return applyUser;
    }

    public void setApplyUser(String applyUser) {
        this.applyUser = applyUser;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getUseGasName() {
        return useGasName;
    }

    public void setUseGasName(String useGasName) {
        this.useGasName = useGasName;
    }


}
